/*  
 *  Connected with input board (capacitive sensor)
 *  Written by Megumi Iwata on 13.06.2018
 */

#include <Adafruit_NeoPixel.h>
#ifdef __AVR__
  #include <avr/power.h>
#endif

#define PIN 3     // pin for neopixel
#define NUMP 26   // number of leds
Adafruit_NeoPixel strip = Adafruit_NeoPixel(NUMP, PIN, NEO_GRB + NEO_KHZ800);

int conPin = 0;  // pin0 is connected to input board pin6

void setup()                    
{  
   strip.begin();
   strip.show(); // Initialize all pixels to 'off'
   pinMode(conPin, INPUT);

}

void loop()                    
{
    int state = digitalRead(conPin);   // read the value from connected pin

    if (state == HIGH) {     // if the signal from the sensor board is HIGH, turn on LEDs 
         
         for(int i=0;i<NUMP;i++){  // pixels.Color takes RGB values, from 0,0,0 up to 255,255,255
         strip.setPixelColor(i, strip.Color(139,35,35)); // Moderately bright green color.
         strip.show(); // This sends the updated pixel color to the hardware.
        }
          
    } else {                   // if the signal from the sensor baord is LOW, turn off LEDs
         
         for(int i=0;i<NUMP;i++){  // pixels.Color takes RGB values, from 0,0,0 up to 255,255,255
         strip.setPixelColor(i, strip.Color(0, 0, 0)); // Moderately bright green color.
         strip.show(); // This sends the updated pixel color to the hardware.
        }
         
    }

      delay(20); // Delay for a period of time (in milliseconds).

}
